Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libgnomeui
Version:	2.24.2
Release:	1
Epoch:		1
BuildArch:	i686
License:	LGPL 
URL:		ftp://ftp.gnome.org
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	GNOME base GUI library

Obsoletes:	libgnomeui-doc

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: esound-libs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: popt-devel
BuildRequires: xcb-util
BuildRequires: zlib-devel

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui package
includes GUI-related libraries that are needed to run GNOME. (The
libgnome package includes the library features that don\'t use the X
Window System.)

%package	devel
Summary: 	Libraries and headers for libgnome
Group: 		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}
Requires:	esound-devel
Requires:	GConf-devel
Requires:	glib-devel
Requires:	gnome-keyring-devel
Requires:	gnome-vfs-devel
Requires:	gtk2+-devel
Requires:	libart_lgpl-devel
Requires:	libbonobo-devel
Requires:	libbonoboui-devel
Requires:	libglade-devel
Requires:	libgnomecanvas-devel
Requires:	libgnome-devel
Requires:	libICE-devel
Requires:	libSM-devel
Requires:	libxml2-devel
Requires:	ORBit2-devel
Requires:	pango-devel
Requires:	pkg-config
Requires:	zlib-devel

%description	devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui-devel package
includes the libraries and include files that you will need to
use libgnomeui.

You should install the libgnomeui-devel package if you would like to
compile GNOME applications. You do not need to install
libgnomeui-devel if you just want to use the GNOME desktop
environment.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
FLAGS=`echo "$RPM_OPT_FLAGS" | sed 's/-Os/-O1/'`
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS -fno-use-cxa-atexit"
%configure \
--disable-static \
--disable-gtk-doc
export tagname=CC
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT

%define po_package libgnomeui-2.0
%find_lang %{po_package}

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc COPYING.LIB ChangeLog NEWS
%_libdir/lib*.so.*
%_pixmaps
%_libdir/libglade/2.0/*

%files devel
%defattr(-,root,root)
%_libdir/*.la
%_libdir/lib*.so
%_pkgconfig
%_includedir
%_datadir/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.24.2-1
- Version update
* Mon Mar 23 2009 Christian Wasem <wasem@ccux-linux.de> 1:2.24.1-1
- Version update
* Fri Jan 09 2009 Christian Metzen <metzench@ccux-linux.de> 1:2.24.0-1
- Version update
* Wed Apr 16 2008 Christian Metzen <metzench@ccux-linux.de> 1:2.22.1-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.01-1
- Version update
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1.1-1
- Version update
* Mon Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Wed Mar 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-4
- added opt flags
* Sun Mar 25 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-3
- spec file cleanups
* Sat Mar 24 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-2
- rebuild without static and opt flags
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.1-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-3
- clean buildchain
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-2
- rebuild, moved libexec
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update, moved prefix
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.1-1
- Version Update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Version Update
* Tue Feb 28 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.3-1
- Update to Version 2.13.3
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.13.2-1
- Initial Release
